// JavaScript source code
var dolniPosouvatko;
var horniPosouvatko;
var dolniCena;
var horniCena;
var txtDolniMez;
var txtHorniMez;
var dilekStupnice;
var posuvnik;
var stlacenyElement;
var aktualniPoziceMysi;
var horniZarazka;
var dolniZarazka;

window.onload = function() {
    //zskn objekt
    posuvnik = document.getElementById("posuvnik-ceny");
    dolniPosouvatko = document.getElementById("dolniMez");
    horniPosouvatko = document.getElementById("horniMez");
    txtDolniMez = document.getElementById("cena-dolniMez");
    txtHorniMez = document.getElementById("cena-horniMez");
    stlacenyElement = null;

    dolniCena = document.getElementById("minCena").value;
    horniCena = document.getElementById("maxCena").value;

    //zskn hodnoty dlky posuvnku
    var styl = window.getComputedStyle(posuvnik);
    var delkaPosuvniku = parseInt(styl.getPropertyValue("width"));

    //zarky posouvtek
    dolniZarazka = -10;
    horniZarazka = delkaPosuvniku - 10;
    dolniPosouvatko.style.marginLeft = dolniZarazka + "px";
    horniPosouvatko.style.marginLeft = horniZarazka + "px";

    //definovn udlost
    dolniPosouvatko.addEventListener("mousedown", StlacenyDolniPosouvatko);
    horniPosouvatko.addEventListener("mousedown", StlacenyHorniPosouvatko);
    txtDolniMez.addEventListener("change", ZmenaDolniHodnoty);
    txtHorniMez.addEventListener("change", ZmenaHorniHodnoty);

    window.onmousemove = PosunPosouvatko;
    window.onmouseup = PustenePosouvatko;


    dilekStupnice = horniCena / delkaPosuvniku;

    //aktualizace hodnot v textboxech
    AktualizujPole();

}


function StlacenyDolniPosouvatko(e) {
    stlacenyElement = dolniPosouvatko;
    aktualniPoziceMysi = e.clientX;
}

function StlacenyHorniPosouvatko(e) {
    stlacenyElement = horniPosouvatko;
    aktualniPoziceMysi = e.clientX;
}

function PustenePosouvatko() {
    stlacenyElement = null;
}

//posun njakm posouvtkem
function PosunPosouvatko(e) {
    var poziceMysi = e.clientX;

    //pokud nen vybrno ani jedno posouvtko tak se nic nedje
    if (stlacenyElement == null) {
        return;
    }

    //aktuln hodnota marginu
    var margin = parseInt(stlacenyElement.style.marginLeft);

    //pohyb my doprava
    if (poziceMysi > aktualniPoziceMysi) {
        //kontrola pejet pes horn mez
        if ((margin - (aktualniPoziceMysi - poziceMysi)) > horniZarazka) {
            stlacenyElement.style.marginLeft = horniZarazka + "px";
        } else {
            stlacenyElement.style.marginLeft = margin - (aktualniPoziceMysi - poziceMysi) + "px";
        }
        aktualniPoziceMysi = poziceMysi;
    }

    //pohyb my doleva
    if (poziceMysi < aktualniPoziceMysi) {
        stlacenyElement.style.marginLeft = margin + (poziceMysi - aktualniPoziceMysi) + "px";
        //kontrola pejet pes doln mez
        if (parseInt(stlacenyElement.style.marginLeft) < dolniZarazka) {
            stlacenyElement.style.marginLeft = dolniZarazka + "px";
        }
        aktualniPoziceMysi = poziceMysi;
    }

    //kolize posouvtek - nesmj peject pes sebe
    if (parseInt(dolniPosouvatko.style.marginLeft) > parseInt(horniPosouvatko.style.marginLeft)) {
        stlacenyElement.style.marginLeft = margin + "px";

        //vrchn posouvtko je to kter pijelo pozdji
        if (stlacenyElement == dolniPosouvatko) {
            dolniPosouvatko.style.zIndex = 2;
            horniPosouvatko.style.zIndex = 1;
        }
        else {
            dolniPosouvatko.style.zIndex = 1;
            horniPosouvatko.style.zIndex = 2;
        }

    }

    //aktualizace sel v textboxech
    AktualizujPole();

}

function AktualizujPole() {
    txtDolniMez.value = Math.round((parseInt(dolniPosouvatko.style.marginLeft) + 10) * dilekStupnice);
    txtHorniMez.value = Math.round((parseInt(horniPosouvatko.style.marginLeft) + 10) * dilekStupnice);
}

function ZmenaDolniHodnoty() {
    //v textboxu nesm bt m ne je doln cena
    if (txtDolniMez.value < dolniCena) {
        txtDolniMez.value = dolniCena;
    }

    //v textboxu nesm bt vc ne je horn cena
    if (txtDolniMez.value > horniCena) {
        txtDolniMez.value = horniCena;
    }

    //v textboxu pro doln cenu nesm bt vc ne v textboxu pro horn cenu
    if (txtDolniMez.value > txtHorniMez.value) {
        txtDolniMez.value = txtHorniMez.value;
    }

    dolniPosouvatko.style.marginLeft = ((txtDolniMez.value / dilekStupnice) - 10) + "px";
}

function ZmenaHorniHodnoty() {
    //v textboxu nesm bt m ne je horn cena
    if (txtHorniMez.value > horniCena) {
        txtHorniMez.value = horniCena;
    }

    //v textboxu nesm bt m ne je doln cena
    if (txtHorniMez.value < dolniCena) {
        txtHorniMez.value = horniCena;
    }

    //v textboxu pro horn cenu nesm bt m ne v textboxu pro doln cenu
    if (txtHorniMez.value < txtDolniMez.value) {
        txtHorniMez.value = txtDolniMez.value;
    }

    horniPosouvatko.style.marginLeft = ((txtHorniMez.value / dilekStupnice) - 10) + "px";
}